# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkParameterValue

Packages that use TSparkParameterValue
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkParameterValue in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TSparkParameterValue in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TSparkParameterValue`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TSparkParameterValue
Modifier and Type
Field
Description
`TSparkParameterValue`
TSparkParameter.`value`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkParameterValue
Modifier and Type
Method
Description
`static TSparkParameterValue`
TSparkParameterValue.`booleanValue(boolean value)`
`TSparkParameterValue`
TSparkParameterValue.`deepCopy()`
`static TSparkParameterValue`
TSparkParameterValue.`doubleValue(double value)`
`TSparkParameterValue`
TSparkParameter.`getValue()`
`static TSparkParameterValue`
TSparkParameterValue.`stringValue(String value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkParameterValue
Modifier and Type
Method
Description
`int`
TSparkParameterValue.`compareTo(TSparkParameterValue other)`
`boolean`
TSparkParameterValue.`equals(TSparkParameterValue other)`
`TSparkParameter`
TSparkParameter.`setValue(TSparkParameterValue value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkParameterValue
Modifier
Constructor
Description
``
`TSparkParameterValue(TSparkParameterValue other)`